package lbl.hiroumauma.testplayer;

import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentTransaction;
import android.view.Menu;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.Toast;

public class Main extends FragmentActivity{

	enum 	FrgmType { fRoot, fAlbum }
	private FrgmType fTop;
	
	private   static Album     focusedAlbum;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		FragmentManager fm = getSupportFragmentManager();
		FragmentTransaction ft = fm.beginTransaction();
		ft.replace(R.id.root, new RootMenu(),"Root");
		ft.commit();
		
		setContentView(R.layout.activity_main);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {

		getMenuInflater().inflate(R.menu.main, menu);

		return true;
	}

	public void setNewFragment(FrgmType CallFragment){
		
		FragmentManager fm = getSupportFragmentManager();
        FragmentTransaction ft = fm.beginTransaction();
        fTop = CallFragment;
        switch(CallFragment)
        {
         case fRoot   : ft.replace(R.id.root, new RootMenu(),     "Root"); break;
         case fAlbum  : ft.replace(R.id.root, new AlbumMenu(),   "album"); break;
        }
        ft.setTransition(FragmentTransaction.TRANSIT_FRAGMENT_OPEN);
        ft.addToBackStack(null);
        ft.commit();
    }
	
	public void	  focusAlbum(Album item)  {if(item != null) focusedAlbum  = item;}
	public Album  getFocusedAlbum()       {return focusedAlbum;}
	
	public AdapterView.OnItemClickListener  AlbumClickListener
		= new AdapterView.OnItemClickListener(){
    	@Override
    	public void onItemClick(AdapterView<?> parent, View view,
    			int position, long id) {
    				 ListView lv = (ListView)parent;
    				 focusAlbum((Album)lv.getItemAtPosition(position));
    				 setNewFragment(FrgmType.fAlbum); 
    			} 
        };

        public  AdapterView.OnItemLongClickListener AlbumLongClickListener
    = new AdapterView.OnItemLongClickListener(){
		   @Override
		   public boolean onItemLongClick(AdapterView<?> parent, View view,
				   int position, long id){
			   			ListView lv = (ListView)parent;
			   			Album item = (Album)lv.getItemAtPosition(position);
			   			Toast.makeText(Main.this, "LongClick:"+item.album, Toast.LENGTH_LONG).show();
			   			return true;	
		   		   }
        };
	
}
